%define name	magicpoint
%define version	1.08a
%define release	2mdk

Summary:	Presentation tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD like
URL:		http://www.Mew.org/mgp/
Group:		Office
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%{name}-buildroot
Requires:	fonts-ttf-japanese

%description
MagicPoint is an X11 based presentation tool. It is designed to make
simple presentations easy while making complicated presentations
possible. Its presentation file is just text so that you can create
presentation files quickly with your favorite editor (e.g. Emacs).

It includes a true type library for elegant looking text and effects.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%build
%configure 
xmkmf
make Makefiles
%make

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYRIGHT FAQ README* RELNOTES SYNTAX USAGE
%doc sample/
%doc contrib/mgp-mode.el
%_prefix/X11R6/bin/*

%changelog
* Mon Sep 03 2001 Yves Duret <yduret@mandrakesoft.com> 1.08a-2mdk
- added a Requires on fonts-ttf-japanese
- added -q option to %%setup

* Wed Jun 13 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.08a-1mdk
- 1.08a
- sanitized spec file (s/Copyright/License, etc.)

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.07a-1mdk
- new in contribs
